<?php 

require_once ("../../config/Cado.php");

require_once("../cuentas/cCuentas.php");

$oCuenta = new cCuentas();

require_once("../formatos/formato.php");



if ($_POST['action_cuentas']=="insertar") 

{

	if (!empty($_POST['txt_cue_nom'])) 

	{



		if($_POST['cmb_mod_id']>0)

		{

			$sql = $oCuenta->verifica_modulo($_POST['cmb_cuetip_id'],$_POST['cmb_mod_id'],'');

			$sql_conprueba= mysqli_num_rows($sql);

		}

		else

		{

			$sql_conprueba=0;

		}

		

		if($sql_conprueba==0)

		{

			$oCuenta->insertar(

			$_POST['txt_cue_cod'],

			$_POST['txt_cue_nom'],

			$_POST['txt_cue_ord'],

			$_POST['cmb_cuetip_id'],

			$_POST['cmb_mod_id']			

			);			

			echo "Se registró Cuenta correctamente.";

		}

		else

		{

		echo "Error .:. YA EXISTE CUENTA CON EL MISMO MODULO.";

		}		

	}

	else

	{

		echo "Intentelo nuevamente.";		

	}

	

}





if ($_POST['action_cuentas']=="editar") 

{

	if (!empty($_POST['txt_cue_nom'])) 

	{			



		if($_POST['cmb_mod_id']>0)

		{

			$sql = $oCuenta->verifica_modulo($_POST['cmb_cuetip_id'],$_POST['cmb_mod_id'],$_POST['hdd_cue_id']);

			$sql_conprueba= mysqli_num_rows($sql);

		}

		else

		{

			$sql_conprueba=0;

		}

		

		if($sql_conprueba==0)

		{

			$oCuenta->modificar(						

				$_POST['hdd_cue_id'],

				$_POST['txt_cue_cod'],

				$_POST['txt_cue_nom'],

				$_POST['txt_cue_ord'],

				$_POST['cmb_cuetip_id'],

				$_POST['cmb_mod_id']			

			);



			echo 'Se modificó Cuenta correctamente.';	

		}else

			{

			echo "Error .:. YA EXISTE CUENTA CON EL MISMO MODULO.";

			}

	}

	else

	{

			echo 'Intentelo nuevamente.';		

	}

}



if($_POST['action']=="eliminar")

{

	if(!empty($_POST['id']))

	{		

		$oCuenta->eliminar(

			$_POST['id'],

			'xac',

			'0'

		);

		echo 'Se eliminó Cuenta correctamente.';

	}

	else

	{

		echo 'Intentelo nuevamente.';

	}

}



?>